+ Reply
Results 1 to 4 of 4

Your favorite Apple, iPhone, iPad, iOS, Jailbreak, and Cydia site.


Thread: Whatsapp on 5.1

is a discussion within the

iPod Touch General Chat

forums, a part of the

iPod Touch

section;
Guys i've been running Whatsapp on this iPod for at least a year without problems across a couple of jailbreaks, but last night I foolishly upgraded to 5.1 and since
...
  1. #1
    What's Jailbreak?
    Join Date
    Aug 2010
    Posts
    2
    Thanks
    2
    Thanked 0 Times in 0 Posts

    Default Whatsapp on 5.1
    Guys i've been running Whatsapp on this iPod for at least a year without problems across a couple of jailbreaks, but last night I foolishly upgraded to 5.1 and since jail breaking (tethered) I can't get Whatsapp to work.

    I've tried all the versions in ********** and it either says it can't connect to Whatsapps servers OR it says Whatsapp won't work on this device

    Any ideas fellas? Be real grateful for any suggestions

  2. #2
    H4CK3R's Avatar
    Join Date
    Jan 2012
    Location
    java.lang.IllegalStateException: Location unknown.
    Posts
    5,823
    Thanks
    63
    Thanked 262 Times in 251 Posts

    Try seeing if this will work: Go to /var/System/Library/CoreServices and then scroll down to SystemVersion.plist Open that up and you will se some code in their. Here's what you need to change:

    Code:
    <key>ProductBuildVersion</key>
    <string>9A405</string>   <--- Yours will say something else, change it to 9A405.
    
    There will be more code here (It's not important. This next part is)
    
    <key>ProductVersion</key>
    <string>5.0.1</string> <--- Yours will say 5.1 change it to 5.0.1
    If this does not work, it isn't compatible with 5.1
    Great minds discuss ideas.
    Average minds discuss events.
    Small minds discuss people.

  3. The Following User Says Thank You to H4CK3R For This Useful Post:

    Speedymofo (04-14-2012)

  4. #3
    What's Jailbreak?
    Join Date
    Aug 2010
    Posts
    2
    Thanks
    2
    Thanked 0 Times in 0 Posts

    Hey bud, thanks for the reply.
    You were right, those lines of code were different so I changed them. It's still not working :/

    I wonder if this is a problem anyone else is having? I've tried searching but I haven't come up with anything.
    Appreciate the suggestions mate!!

  5. #4
    H4CK3R's Avatar
    Join Date
    Jan 2012
    Location
    java.lang.IllegalStateException: Location unknown.
    Posts
    5,823
    Thanks
    63
    Thanked 262 Times in 251 Posts

    No problem In the app you're trying to make compatible, look in the filesystem and find info.plist, see if you can find the version stuff in it. I've done it before with a few apps. If that doesn't work I'm afraid you're gonna have to wait til they update it for 5.1
    Great minds discuss ideas.
    Average minds discuss events.
    Small minds discuss people.

Posting Permissions
  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts